Subject: RE: subnet allocation request

From: Randy Turner <[email-masked]>
Date: Thu, 12 Aug 1999 21:49:09 -0700

Thanks for the replies,

I will work with whoever is interested to see that an extension like the one
I described is advanced through the DHCP WG. The existing subnet option in
DHCP would not meet my requirements, since I really don't want to specify up
front what subnet I want to use. Instead, I would like the DHCP server to
figure out an available subnet and allocate it to me. If anyone is
interested and has similar requirements, I would appreciate your comments on
how this option should operate.

I will subsequently move this discussion to the DHCP WG.

Thanks again,
Randy

> -----Original Message-----
> From:	Juha Heinanen [SMTP:[email-masked]]
> Sent:	Thursday, August 12, 1999 9:03 PM
> To:	Randy Turner
> Cc:	[email-masked]'
> Subject:	subnet allocation request
> 
> randy,
> 
> i wrote the i-d and the idea was like you described, i.e., the ppp
> client could ask during the ipcp negotiation phase a subnet of a certain
> (possibly any) size instead of a single ip address.  the "consensus" of
> the wg was that ipcp is not the right means to negotiate the subnet, but
> that bootp or dhcp inform should be used instead and since there already
> exists a subnet option both in boopt and dhcp, nothing was left to be
> standardized.
> 
> what has happened in practice though is that some (adsl) router vendors
> actually went and implemented an ipcp subnet option and i'm very happy
> about it, since it solves my real problem.  if some vendors come up with
> the bootp or dhcp solution, that would be fine with me too, since i
> don't care how the problem is solved as long as it is done.
> 
> just for information (if someone plans to sell adsl equipment to me),
> below is the packet format of the ipcp subnet option that is currently
> implemented in my network.
> 
> -- juha
> ------------------------------------------------------------------
> 
>      0                   1                   2                   3
>      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>     |     Type      |    Length     |             Mask
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 		Mask (cont)         |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
>     where Type = 0x90 and Length = 0x06.

---

From: Juha Heinanen <[email-masked]>
Date: Fri, 13 Aug 1999 08:03:27 +0300 (EEST)

> how this option should operate.

in the simple adsl case that i have, the subscriber has subscribed to a
subnet of a certain size, so the isp router knows from which subnet pool
to allocate the ip address using during ipcp negotiation.  once the cpe
router has got the ip address, it then used bootp or dhcp inform to
figure out, what to configure as its subnet mask.

the situation would be different if the subscriber would be allowed to
dynamically ask a subnet of a given size.  in that case, the ip address
and the subnet mask would be need to be negotatiated at the same time
and the above solution would not work.

-- juha